function MakeSaveable(window, prefix)
   window.prefpath = prefix.."_WinLoc"
   window.scope = Turbine.DataScope.Account
   window.Load = function(self)
      local prefs = PatchDataLoad(self.scope, self.prefpath)
      if prefs ~= nil then
         self:SetPosition(prefs.x,prefs.y)
      end
   end
   window.Save = function(self)
      local x,y = self:GetPosition()
      PatchDataSave(self.scope, self.prefpath, {["x"]=x,["y"]=y})
   end
   AddCallback(window, "PositionChanged", function(sender,args) sender:Save() end)
end
